<?php
/**
* Functions: E-mail
*
* @package        WordPress
* @subpackage    WebTouch
* @since        WebTouch 2019
*/

add_filter('wp_mail_content_type', function ($content_type) {
    return 'text/html';
});

// Contact
add_action("wp_ajax_send_contact", "send_contact");
add_action("wp_ajax_nopriv_send_contact", "send_contact");
function send_contact() {

    $subjects = get_field('form_cta', get_options_page_id('site-settings'))['email_subject'];
	$subjectIndex = $_POST["subject"];
	$_POST['subject'] = $subjects[$subjectIndex]["subject"];

	$subject_name = 'Nova mensagem de contato';
	$emails_to = $subjects[$subjectIndex]["email"];

	$template = 'contact.twig';
	
	build_email($_POST, $subject_name, $emails_to, $template);
}

function build_email($post, $subject, $emails_to, $template){
	
	// fields
    $fields = array();
	foreach ($post as $key => $value) {
		$fields[$key] = $value;
    }

	$content = Timber::compile( 'views/email/' . $template, $fields );

	wp_mail($emails_to, $subject, $content, $headers);
	if(!isset($fields['name'])){
		$fields['name'] = ' ';
	}
	register_subscriber($fields['email'], $fields['name'], $fields['origin']);
}


// Register subscriber
function register_subscriber($email, $name, $origin){

    global $wpdb;

    date_default_timezone_set('America/Sao_Paulo');
    $date = date('Y-m-d H:i:s');

    $subscriberResult = $wpdb->query("SELECT * FROM $wpdb->posts WHERE post_title = '$email'");

    if ($subscriberResult == 0) {
        $wpdb->query($wpdb->prepare("INSERT INTO $wpdb->posts(post_title, post_type, post_date) VALUES (%s, %s, %s)", array($email, 'wt_subscriber', $date)));

        $id = $wpdb->insert_id;

        $wpdb->query($wpdb->prepare("INSERT INTO $wpdb->postmeta(post_id, meta_key, meta_value) VALUES (%s, %s, %s)", array($id, 'subscriber_name', $name)));
        $wpdb->query($wpdb->prepare("INSERT INTO $wpdb->postmeta(post_id, meta_key, meta_value) VALUES (%s, %s, %s)", array($id, 'subscriber_origin', $origin)));
    }

}