<?php

// Post Type
function subscriber_post_type() {

	$singular = 'Assinante';
	$plural = 'Assinantes';

	// Set UI labels for Custom Post Type
	$labels = array(
		'name'					=>	__($plural),
		'singular_name'			=>	__($singular),
		'menu_name'				=>	__($plural),
		'parent_item_colon'		=>	__($singular . ' Pai'),
		'all_items'				=>	__('Todos os ' . $plural),
		'new_item'				=>	__('Nova Publicação'),
		'view_item'				=>	__('Ver ' . $singular),
		'add_new_item'			=>	__('Adicionar novo ' . $singular),
		'add_new'				=>	__('Adicionar novo'),
		'edit_item'				=>	__('Editar ' . $singular),
		'update_item'			=>	__('Atualizar ' . $singular),
		'search_items'			=>	__('Busca ' . $singular),
		'not_found'				=>	__('Não encontrado'),
		'not_found_in_trash'	=>	__('Não encontrado no lixo'),
	);

	// Set other options for Custom Post Type
	$args = array(
		'label'					=>	__($plural),
		'description'			=>	__('Registros de ' . $plural),
		'labels'				=>	$labels,
		'supports'				=> 	array(
										'title',
										// 'editor',
										// 'author',
										// 'thumbnail',
										// 'excerpt',
										// 'trackbacks',
										// 'custom-fields',
										// 'comments',
										// 'revisions',
										// 'page-attributes',
										// 'post-formats'
									),

		// 'taxonomies'			=> array('category'),
		'hierarchical'			=> false,
		'public'				=> false,
		'query_var'				=> true,
		'rewrite'				=> true,
		'show_ui'				=> true,
		'show_in_menu'			=> true,
		'show_in_nav_menus'		=> true,
		'show_in_admin_bar'		=> true,
		// 'menu_position'			=> 50,
		// 'menu_icon'				=> 'dashicons-groups',
		'can_export'			=> true,
		'has_archive'			=> false,
		'exclude_from_search'	=> true,
		'publicly_queryable'	=> true,
		'capability_type'		=> 'page',
	);

	// Registering your Custom Post Type
	register_post_type('wt_subscriber', $args);

}
add_action('init', 'subscriber_post_type', 999);

// Remove subscriber in submenu
function remove_subscriber_submenu() {
	global $submenu;
	unset($submenu['edit.php?post_type=wt_subscriber']);
}
add_action('admin_menu','remove_subscriber_submenu');


// Field ACF
if(function_exists('acf_add_local_field_group')){

	acf_add_local_field_group(array (
		'key' => 'group_59404c7222bd8',
		'title' => 'Assinantes',
		'fields' => array (
			array (
				'key' => 'field_59404da125429',
				'label' => 'Nome',
				'name' => 'subscriber_name',
				'type' => 'text',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array (
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'maxlength' => '',
			),
			array (
				'key' => 'field_595fb82e89bfd',
				'label' => 'Origem',
				'name' => 'subscriber_origin',
				'type' => 'text',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array (
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'maxlength' => '',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'wt_subscriber',
				),
			),
		),
		'menu_order' => 15,
		'position' => 'normal',
		'style' => 'default',
		'label_placement' => 'left',
		'instruction_placement' => 'label',
		'hide_on_screen' => array (
			0 => 'permalink',
			1 => 'the_content',
			2 => 'excerpt',
			3 => 'custom_fields',
			4 => 'discussion',
			5 => 'comments',
			6 => 'revisions',
			7 => 'slug',
			8 => 'author',
			9 => 'format',
			10 => 'page_attributes',
			11 => 'featured_image',
			12 => 'categories',
			13 => 'tags',
			14 => 'send-trackbacks',
		),
		'active' => 1,
		'description' => '',
	));

}

// Modify header table column
function subscriber_posts_table_head($columns) {

	unset($columns['language']);
	unset($columns['title']);
	unset($columns['date']);
	unset($columns['categories']);

	$columns['wt_subscriber_email'] = 'E-Mail';
	$columns['subscriber_name'] = 'Nome';
	$columns['subscriber_origin'] = 'Origem';
	$columns['wt_registration_date'] = 'Data de Registro';

	return $columns;
}
add_filter('manage_wt_subscriber_posts_columns', 'subscriber_posts_table_head');


// Add content in table
function subscriber_posts_table_content($column_name, $post_id) {
	if($column_name == 'wt_subscriber_email') {
		echo "<span style='color:#0073aa; font-size:14px; font-weight: 600;'>" . get_the_title() . "</span>";
	}
	if($column_name == 'subscriber_name') {
		echo get_post_meta($post_id, 'subscriber_name', true);
	}
	if($column_name == 'subscriber_origin') {
		echo get_post_meta($post_id, 'subscriber_origin', true);
	}
	if($column_name == 'wt_registration_date'){
		echo get_the_date('d/m/Y');
	}
}
add_action('manage_wt_subscriber_posts_custom_column', 'subscriber_posts_table_content', 10, 2);


// Add style on export button
function add_style_export_button() {
	if (isset($_GET['post_type']) && $_GET['post_status'] != 'trash' && !isset($_GET['s']) && $_GET['post_type'] == 'wt_subscriber') {
		?>
			<style>
				#wt_export_container{
					display: inline !important;
				}
				#wt_export {
					font-size: 15px;
					margin-left: 10px;
				}
				#wt_export span {
					margin: 18px 4px -3px 0px;
					font-size: 18px;
				}
				.wt_export_disable {
					background-color: #dedede !important;
					color: grey !important;
					border-color: #b7b7b7 !important;
					cursor: default !important;
				}
				.wt_export_error{
					display: none;
					margin-left:10px;
					color: #8e0000;
				}
			</style>
			<script>
				jQuery(document).ready(function(){
					var title = jQuery('#wpbody-content .wrap');
					title.find('a[class="page-title-action"]').html('').remove();

					rowCount = 0;

					jQuery('#the-list .row-actions').each(function( index ) {
						rowCount++;

						jQuery(this).find('.edit').remove(); // Edit
						jQuery(this).find('.inline.hide-if-no-js').remove(); // quick edit
						jQuery(this).find('.view').remove(); // View

						// Trash
						link = jQuery(this).find('.trash a');
						jQuery(this).find('.trash').html('')
						jQuery(this).find('.trash').html(link);
					});

					title.find('.wp-heading-inline').after(
						'<div id="wt_export_container">' +
							'<a id="wt_export" class="page-title-action" href="<?= admin_url('admin-post.php?action=wt_export') ?>">' +
								'<span class="dashicons dashicons-download"></span>Exportar' +
							'</a>' +
							'<span class="wt_export_error">Ops! Ocorreu um erro</span>' +
						'</div>'
					);

					if(!rowCount){
						jQuery('#wt_export').addClass('wt_export_disable');
						jQuery('#wt_export').attr('href','');
						jQuery('#wt_export').click(function(e){
							e.preventDefault();
						})
					}

				});

			</script>
		<?php
	}
	else if(isset($_GET['post_type']) && $_GET['post_status'] == 'trash' || isset($_GET['s']) || $_GET['post_type'] == 'wt_subscriber'){
		?>
			<script>
				jQuery(document).ready(function(){
					var title = jQuery('#wpbody-content .wrap');
					title.find('a[class="page-title-action"]').html('').remove();
				});
			</script>
		<?php
	}
}
add_action('admin_head-edit.php', 'add_style_export_button');


// Converter to CSV
function converterCSV($array, $filename = "export.csv", $delimiter = ",") {
    $f = fopen('php://memory', 'w');

    foreach ($array as $line) {
				if($line[1] == '-'){
					fputcsv($f, array($line[0]), $delimiter);
				}
				else{
					fputcsv($f, $line, $delimiter, chr(0));
				}
    }

    // reset the file pointer to the start of the file
    fseek($f, 0);
    // tell the browser it's going to be a csv file
    header('Content-Type: application/csv');
    // tell the browser we want to save it instead of displaying it
    header('Content-Disposition: attachment; filename="' . $filename . '";');
    // make php send the generated csv lines to the browser
    fpassthru($f);
}

add_action('admin_post_wt_export', 'wt_export');
add_action('admin_post_nopriv_wt_export', 'wt_export');

function wt_export(){
	global $wpdb;

	$subscribers = $wpdb->get_results("
		SELECT post_title,  meta_value FROM wp_posts
		INNER JOIN wp_postmeta ON ID = post_id
		WHERE post_type = 'wt_subscriber'
		AND meta_key = 'subscriber_name'
		AND post_status = 'publish'
	");

	$subscribersArray = [];

	foreach ($subscribers as $subscriber) {
		$subscribersArray[] = array($subscriber->post_title, $subscriber->meta_value);
	}

	converterCSV($subscribersArray, 'Assinantes-' . date('d-m-Y') . '.csv');
}
