<?php

function no_more_jquery() {
    if (!is_admin()) {
        wp_deregister_script('wp-embed'); // De-Register wp-embed
        wp_deregister_script('jquery'); // De-Register jQuery
        wp_register_script('jquery', '', '', '', true); // Register as 'empty', because we manually insert our script in header.php
    }
}
add_action('wp_enqueue_scripts', 'no_more_jquery');

function webtouch_assets() {
    wp_dequeue_style( 'wp-block-library' );
    wp_deregister_style( 'wp-block-library' );
}

add_action('wp_enqueue_scripts','webtouch_assets');

//remove emojis
remove_action('wp_head', 'print_emoji_detection_script', 7);
remove_action('wp_print_styles', 'print_emoji_styles');
remove_action( 'admin_print_scripts', 'print_emoji_detection_script' );
remove_action( 'admin_print_styles', 'print_emoji_styles' );

// Register Theme Features
function wt_theme_setup()
{

    // Add theme support via timber.php

    // Add theme support for Translation
    load_theme_textdomain('webtouch', get_template_directory() . '/languages');
}
add_action('after_setup_theme', 'wt_theme_setup');

// Remove WP Image Crop Sizes
function wt_theme_filter_image_sizes($sizes)
{
    // unset($sizes['thumbnail']);
    // unset($sizes['medium']);
    unset($sizes['medium_large']);
    unset($sizes['large']);

    return $sizes;
}
add_filter('intermediate_image_sizes_advanced', 'wt_theme_filter_image_sizes');