function sendForm(e) {
    e.preventDefault();
    $('#form-ajax').find('.wt-button').prop('disabled', true);

    const formData = new FormData(document.getElementById('form-ajax'));
    formData.append('nonce', $(this).attr('data-nonce'));

    const link = $(this).attr('data-link');
    const gotoUrl = $(this).attr('action');

    $.ajax({
        type: 'POST',
        dataType: 'json',
        url: link,
        data: formData,
        contentType: false,
        processData: false,
        beforeSend() {
            $('#form-ajax').find('.wt-button').addClass('send')
                .delay(300)
                .queue(function () {
                    $(this).addClass('loading').dequeue();
                });
            $('#form-ajax').find('.form-group input').prop('disabled', true);
            $('#form-ajax').find('.form-group select').prop('disabled', true);
            $('#form-ajax').find('.form-group textarea').prop('disabled', true);
        },
        success(response) {
            $('#form-ajax')[0].reset();

            window.location = gotoUrl;
        },
    });
}
if ($('#form-ajax').length) {
    $(document).ready(() => {

        $('#form-ajax').submit(sendForm);


        var phoneMaskBehavior = function (val) {
            return val.replace(/\D/g, '').length === 11 ? '(00) 00000-0000' : '(00) 0000-00009';
        },
        phoneOptions = {
            clearIfNotMatch: true,
            onKeyPress: function (val, e, field, options) {
                field.mask(phoneMaskBehavior.apply({}, arguments), options);
            }
        };
        jQuery('.phone').mask(phoneMaskBehavior, phoneOptions);
    });
}
